Skip to content
CAPLESS DOCS
Documentation menu

API Reference

Base URL: https://api.capless.ai/v1 · Auth: Authorization: Bearer cap_…

POST /v1/chat/completions

OpenAI-compatible. Supported params: model, messages, stream, max_tokens, temperature, top_p, tools, tool_choice, stop.

Streaming: standard SSE (data: {...} … data: [DONE]). Tool calling: OpenAI format (structured tool_calls).

GET /v1/models

Available models (requires auth).

Usage headers

X-Capless-Remaining-Window, X-Capless-Window-Reset-At, X-Capless-Remaining-Month, X-Capless-Month-Reset-At.

Errors

HTTPcodeMeaning
401invalid_api_keyInvalid or disabled key
403trial_expired7-day trial ended — re-activate in the dashboard
400context_too_largePrompt exceeds your plan's context
429capless_window_limit4h rolling window exhausted (includes Retry-After)
429capless_month_limitMonthly quota exhausted
429capless_concurrency_limitMore concurrent requests than your plan allows
501not_implementedRoadmap endpoint (embeddings)